# GraphicsMagick

GraphicsMagick is the swiss army knife of image processing.
It provides a robust collection of tools and libraries which support reading, writing, and manipulating an image in over 88 major formats including important formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, SVG, and TIFF.
GraphicsMagick supports huge images on systems that support large files, and has been tested with gigapixel-size images.
GraphicsMagick can create new images on the fly, making it suitable for building dynamic Web applications.
GraphicsMagick may be used to resize, rotate, sharpen, color reduce, or add special effects to an image and save the result in the same or differing image format.
Image processing operations are available from the command line, as well as through C, C++, Perl, or Windows COM programming interfaces.
Extensions are available from third-parties to support programming in Python, Tcl, and Ruby.
With some modification, language extensions for ImageMagick may be used.

